Skip to main content
`Ctrl`+`K`

# PetscSectionAddFieldConstraintDof

Increment the number of constrained degrees of freedom associated with a given field on a point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionAddFieldConstraintDof(PetscSection s, PetscInt point, PetscInt field, PetscInt numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

- numDof - the number of additional dof which are fixed by constraints

## See Also

PetscSection, `PetscSection`, `PetscSectionAddDof()`, `PetscSectionGetFieldConstraintDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages